function out=integruj_funkciXpolynom(funkce,polynom,a,b)
%
% Numericky vypocte integral od a do b ze soucinu polynomu a funkce 

pocet_deleni=500;
krok=(b-a)/pocet_deleni;
%n=max(size(polynom));

out=0;
for x=a+krok/2:krok:b
  f1=polyval(polynom,x);
  f2=eval(funkce);
  out=out+f1*f2;
end
out=out*krok; 


